services:
    _defaults:
        autowire: true
        autoconfigure: true

#    twig_intl:
#        class: Twig_Extensions_Extension_Intl
#        tags:
#            - { name: twig.extension }
#
#    twig_date:
#        class: Twig_Extensions_Extension_Date
#        arguments:
#            - "@translator"
#        tags:
#            - { name: twig.extension }
#
#    twig_text:
#        class: Twig_Extensions_Extension_Text
#        tags:
#            - { name: twig.extension }

    Chill\MainBundle\Templating\ChillTwigHelper:
        tags:
            - { name: twig.extension }

    Chill\MainBundle\Templating\ChillTwigRoutingHelper:
        arguments:
            $requestStack: '@Symfony\Component\HttpFoundation\RequestStack'
            $originalExtension: '@twig.extension.routing'
        tags:
            - { name: twig.extension }

    Chill\MainBundle\Templating\Entity\ChillEntityRenderExtension:
        tags:
            - { name: twig.extension }

    Chill\MainBundle\Templating\Entity\ChillEntityRenderManager:
        arguments:
            $renders: !tagged_iterator chill.render_entity

    Chill\MainBundle\Templating\Entity\ChillEntityRenderManagerInterface:
        alias: 'Chill\MainBundle\Templating\Entity\ChillEntityRenderManager'

    Chill\MainBundle\Templating\Entity\CommentRender:
        tags:
            - { name: 'chill.render_entity' }

    Chill\MainBundle\Templating\ChillMarkdownRenderExtension:
        tags:
            - { name: twig.extension }

    Chill\MainBundle\Templating\Entity\AddressRender: ~

    Chill\MainBundle\Templating\Entity\NewsItemRender: ~

    Chill\MainBundle\Templating\Entity\ChillGenderIconRender: ~

    Chill\MainBundle\Templating\Entity\UserRender: ~

    Chill\MainBundle\Templating\Entity\UserGroupRender: ~
    Chill\MainBundle\Templating\Entity\UserGroupRenderInterface:
        alias: Chill\MainBundle\Templating\Entity\UserGroupRender

    Chill\MainBundle\Templating\Listing\:
        resource: './../../Templating/Listing'

    Chill\MainBundle\Templating\Listing\FilterOrderHelperFactoryInterface: '@Chill\MainBundle\Templating\Listing\FilterOrderHelperFactory'

    Chill\MainBundle\Templating\VersionRenderExtension:
        tags:
            - { name: twig.extension }
